Skip to content
scango.ch
English
Esc
navigateopen⌘Jpreview

Upload product image

Upload a product image (multipart field file) and set imageUrl. Replaces any previous image. Requires a Write key. Max 10MB. Allowed types: jpeg, png, webp, gif.

POST/products/{productId}/image
Authorization
AuthorizationBearer token (API key) · headerrequired
Organization API key.
Path parameters
productIdstringrequired
Request body
requiredmultipart/form-data
filestringrequired
Image file (jpeg, png, webp, gif). Max 10MB.
Responses
200Uploaded
dataobjectrequired
Show properties
urlstringrequired
imageUrlstringrequired
400Bad request
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
403Unauthorized
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
404Not found
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
413File too large
statusCodeintegerrequired
HTTP status code
messagestringrequired
Human-readable error message
timestampstring<date-time>required
pathstringrequired
Request path
Request
curl -X POST "https://dashboard.scango.ch/api/v1/products/string/image" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: multipart/form-data" \
  -d '{
  "file": "string"
}'
Response
{
  "data": {
    "url": "string",
    "imageUrl": "string"
  }
}